<?php

namespace EventPortal\Domain\Component\Filter;

use Illuminate\Database\Eloquent\Builder;

class DateFilter extends Filter
{
    /** @var string */
    public $type = 'DateInput';

    public function __construct(string $label)
    {
        parent::__construct($label);

        $this->lookup(function (Builder $query, $value, $field) {
            return $query->where($field, $value);
        });
    }
}
