<?php

namespace EventPortal\Domain\Event\Form\Actions;

use EventPortal\Domain\Event\Form\Models\Form;
use EventPortal\Domain\Event\Form\ValueObjects\FormData;
use EventPortal\Domain\Event\Models\Event;

class UpdateForm
{
    public function execute(Event $event, Form $form, array $data): void
    {
        $formData = new FormData($data, $event);

        $form->update($formData->toArray());

        (new UpdateSteps)->execute($formData->steps, $form);
    }
}
