<?php

namespace EventPortal\Domain\Event\Form;

use EventPortal\Domain\Event\Form\Models\Question;
use Illuminate\Support\Arr;

class OptionData
{
    protected $data;

    protected $question;

    public function __construct(array $data, Question $question)
    {
        $this->data = $data;
        $this->question = $question;
    }

    public function getId(): ?int
    {
        return Arr::get($this->data, 'id');
    }

    public function toArray(): array
    {
        $option['id'] = Arr::get($this->data, 'id');
        $option['question_id'] = $this->question->id;
        $option['name'] = Arr::get($this->data, 'value');
        $option['order'] = Arr::get($this->data, 'order');
        $option['uuid'] = Arr::get($this->data, 'uuid');

        return $option;
    }
}
