<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class FormTypesTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test **/
    public function can_get_form_types(): void
    {
        $response = $this
            ->actingAsSuperAdmin()
            ->get(route('admin.form.types'));

        $this->assertEquals([
            [
                "label" => "Registration",
                "value" => "Registration",
            ],
        ], $response->original);
    }
}
